Activity not updated for weeks

Hello

I recently noticed that the activity view on our gitlab install wasn’t updating. I’ve seen a few different possible causes and fixes for this, but none seem to match what I am seeing.

This is gitlab 8.17.2-ce installed from the Ubuntu package repo.
I recently upgraded from 8.14.something.
gitlab-ctl reconfigure runs cleanly.

The only error I see is in sidekiq’s log where I get this:

2017-03-02_09:57:38.29406 2017-03-02T09:57:38.294Z 30423 TID-ow8uy0uso WARN: {“context”:“Job raised exception”,“job”:{“retry”:true,“queue”:“default”,“class”:“PruneOldEventsWorker”,“args”:,“jid”:“bf90b59a47e9d5c23c7b41ef”,“created_at”:1487527279.0503523,“enqueued_at”:1488448658.2866504,“error_message”:“PG::InvalidSqlStatementName: ERROR: unnamed prepared statement does not exist\n: DELETE FROM “events” WHERE ((id IN (SELECT id FROM (SELECT “events”.“id” FROM “events” WHERE (created_at < ‘2016-03-01 09:57:38.288412’) LIMIT 10000) ids_to_remove)))”,“error_class”:“ActiveRecord::StatementInvalid”,“failed_at”:1487527279.0624595,“retry_count”:22,“retried_at”:1488448658.293646},“jobstr”:"{“retry”:true,“queue”:“default”,“class”:“PruneOldEventsWorker”,“args”:,“jid”:“bf90b59a47e9d5c23c7b41ef”,“created_at”:1487527279.0503523,“enqueued_at”:1488448658.2866504,“error_message”:“PG::InvalidSqlStatementName: ERROR: unnamed prepared statement does not exist\n: DELETE FROM \“events\” WHERE ((id IN (SELECT id FROM (SELECT \“events\”.\“id\” FROM \“events\” WHERE (created_at < ‘2016-02-27 03:46:34.227921’) LIMIT 10000) ids_to_remove)))”,“error_class”:“ActiveRecord::StatementInvalid”,“failed_at”:1487527279.0624595,“retry_count”:21,“retried_at”:1488253594.2343347}"}
2017-03-02_09:57:38.29418 2017-03-02T09:57:38.294Z 30423 TID-ow8uy0uso WARN: ActiveRecord::StatementInvalid: PG::InvalidSqlStatementName: ERROR: unnamed prepared statement does not exist
2017-03-02_09:57:38.29420 : DELETE FROM “events” WHERE ((id IN (SELECT id FROM (SELECT “events”.“id” FROM “events” WHERE (created_at < ‘2016-03-01 09:57:38.288412’) LIMIT 10000) ids_to_remove)))
2017-03-02_09:57:38.29429 2017-03-02T09:57:38.294Z 30423 TID-ow8uy0uso WARN: /opt/gitlab/embedded/lib/ruby/gems/2.3.0/gems/activerecord-4.2.7.1/lib/active_record/connection_adapters/postgresql_adapter.rb:592:in `async_exec’

Google is silent on this error in relation to gitlab. Any pointers appreciated!

Thanks

Martin.

Hello!

Would it be worth trying to back up the existing install and import that into a fresh gitlab server?

Thanks

Martin.